Package org.apache.storm.generated

# Enum Class OwnerResourceSummary._Fields

java.lang.Object
java.lang.Enum<OwnerResourceSummary._Fields>
org.apache.storm.generated.OwnerResourceSummary._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<OwnerResourceSummary._Fields>`, `Constable`, `org.apache.storm.thrift.TFieldIdEnum`

Enclosing class:
  OwnerResourceSummary

public static enum OwnerResourceSummary._Fields extends Enum<OwnerResourceSummary._Fields> implements org.apache.storm.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSIGNED_OFF_HEAP_MEMORY`
  `ASSIGNED_ON_HEAP_MEMORY`
  `CPU_GUARANTEE`
  `CPU_GUARANTEE_REMAINING`
  `CPU_USAGE`
  `ISOLATED_NODE_GUARANTEE`
  `MEMORY_GUARANTEE`
  `MEMORY_GUARANTEE_REMAINING`
  `MEMORY_USAGE`
  `OWNER`
  `REQUESTED_CPU`
  `REQUESTED_OFF_HEAP_MEMORY`
  `REQUESTED_ON_HEAP_MEMORY`
  `REQUESTED_TOTAL_MEMORY`
  `TOTAL_EXECUTORS`
  `TOTAL_TASKS`
  `TOTAL_TOPOLOGIES`
  `TOTAL_WORKERS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OwnerResourceSummary._Fields`
  `findByName(String name)`
  Find the _Fields constant that matches name, or null if its not found.
  `static OwnerResourceSummary._Fields`
  `findByThriftId(int fieldId)`
  Find the _Fields constant that matches fieldId, or null if its not found.
  `static OwnerResourceSummary._Fields`
  `findByThriftIdOrThrow(int fieldId)`
  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
  `String`
  `getFieldName()`
  `short`
  `getThriftFieldId()`
  `static OwnerResourceSummary._Fields`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OwnerResourceSummary._Fields[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OWNER

    public static final OwnerResourceSummary._Fields OWNER

  - ### TOTAL_TOPOLOGIES

    public static final OwnerResourceSummary._Fields TOTAL_TOPOLOGIES

  - ### TOTAL_EXECUTORS

    public static final OwnerResourceSummary._Fields TOTAL_EXECUTORS

  - ### TOTAL_WORKERS

    public static final OwnerResourceSummary._Fields TOTAL_WORKERS

  - ### MEMORY_USAGE

    public static final OwnerResourceSummary._Fields MEMORY_USAGE

  - ### CPU_USAGE

    public static final OwnerResourceSummary._Fields CPU_USAGE

  - ### MEMORY_GUARANTEE

    public static final OwnerResourceSummary._Fields MEMORY_GUARANTEE

  - ### CPU_GUARANTEE

    public static final OwnerResourceSummary._Fields CPU_GUARANTEE

  - ### MEMORY_GUARANTEE_REMAINING

    public static final OwnerResourceSummary._Fields MEMORY_GUARANTEE_REMAINING

  - ### CPU_GUARANTEE_REMAINING

    public static final OwnerResourceSummary._Fields CPU_GUARANTEE_REMAINING

  - ### ISOLATED_NODE_GUARANTEE

    public static final OwnerResourceSummary._Fields ISOLATED_NODE_GUARANTEE

  - ### TOTAL_TASKS

    public static final OwnerResourceSummary._Fields TOTAL_TASKS

  - ### REQUESTED_ON_HEAP_MEMORY

    public static final OwnerResourceSummary._Fields REQUESTED_ON_HEAP_MEMORY

  - ### REQUESTED_OFF_HEAP_MEMORY

    public static final OwnerResourceSummary._Fields REQUESTED_OFF_HEAP_MEMORY

  - ### REQUESTED_TOTAL_MEMORY

    public static final OwnerResourceSummary._Fields REQUESTED_TOTAL_MEMORY

  - ### REQUESTED_CPU

    public static final OwnerResourceSummary._Fields REQUESTED_CPU

  - ### ASSIGNED_ON_HEAP_MEMORY

    public static final OwnerResourceSummary._Fields ASSIGNED_ON_HEAP_MEMORY

  - ### ASSIGNED_OFF_HEAP_MEMORY

    public static final OwnerResourceSummary._Fields ASSIGNED_OFF_HEAP_MEMORY

- ## Method Details

  - ### values

    public static OwnerResourceSummary._Fields[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OwnerResourceSummary._Fields valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### findByThriftId

    public static OwnerResourceSummary._Fields findByThriftId(int fieldId)
    Find the _Fields constant that matches fieldId, or null if its not found.

  - ### findByThriftIdOrThrow

    public static OwnerResourceSummary._Fields findByThriftIdOrThrow(int fieldId)
    Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

  - ### findByName

    public static OwnerResourceSummary._Fields findByName(String name)
    Find the _Fields constant that matches name, or null if its not found.

  - ### getThriftFieldId

    public short getThriftFieldId()
    Specified by:
      `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

  - ### getFieldName

    public String getFieldName()
    Specified by:
      `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`